Bug 101177 - Robohornet SVG benchmark spends too much time in unnecessary repaint checks.
Summary: Robohornet SVG benchmark spends too much time in unnecessary repaint checks.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 420+
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Philip Rogers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-04 21:04 PST by Philip Rogers
Modified: 2012-11-07 11:27 PST (History)
9 users (show)

See Also:


Attachments
First pass (12.04 KB, patch)
2012-11-06 17:27 PST, Philip Rogers
eric: review+
Details | Formatted Diff | Diff
Patch for landing (12.05 KB, patch)
2012-11-07 10:37 PST, Philip Rogers
pdr: commit-queue+
Details | Formatted Diff | Diff
Path for landing (2) (10.41 KB, patch)
2012-11-07 10:42 PST, Philip Rogers
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philip Rogers 2012-11-04 21:04:51 PST
The repaint box calculations are multiplying the local repaint bounding box quad through 5 matrices on every update of the benchmark (for each of hundreds of shapes). Only local bounding boxes are stored in our SVG implementation but we should be able to cache some of this.

Patch forthcoming!
Comment 1 Dirk Schulze 2012-11-05 06:02:44 PST
Link please.
Comment 2 Philip Rogers 2012-11-05 09:58:34 PST
http://www.robohornet.org/#et=svg
Comment 3 Philip Rogers 2012-11-06 17:27:11 PST
Created attachment 172681 [details]
First pass
Comment 4 WebKit Review Bot 2012-11-06 17:30:17 PST
Attachment 172681 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'LayoutTests/ChangeLog', u'LayoutTests/plat..." exit_code: 1
LayoutTests/platform/qt/TestExpectations:2394:  Path does not exist.  [test/expectations] [5]
Total errors found: 1 in 13 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 5 Eric Seidel (no email) 2012-11-06 17:48:51 PST
Comment on attachment 172681 [details]
First pass

SGTM!
Comment 6 Philip Rogers 2012-11-07 10:37:45 PST
Created attachment 172834 [details]
Patch for landing
Comment 7 WebKit Review Bot 2012-11-07 10:40:25 PST
Attachment 172834 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'LayoutTests/ChangeLog', u'LayoutTests/plat..." exit_code: 1
LayoutTests/platform/qt/TestExpectations:2394:  Path does not exist.  [test/expectations] [5]
Total errors found: 1 in 13 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 8 Philip Rogers 2012-11-07 10:42:46 PST
Created attachment 172835 [details]
Path for landing (2)
Comment 9 WebKit Review Bot 2012-11-07 11:27:25 PST
Comment on attachment 172835 [details]
Path for landing (2)

Clearing flags on attachment: 172835

Committed r133786: <http://trac.webkit.org/changeset/133786>
Comment 10 WebKit Review Bot 2012-11-07 11:27:29 PST
All reviewed patches have been landed.  Closing bug.